ls_crystal = {}
ls_crystal.LR_dist = 50
ls_crystal.SR_dist = 25

local modpath = core.get_modpath('ls_crystal')
dofile(modpath..'/beacons.lua')
dofile(modpath..'/formspecs.lua')
dofile(modpath..'/functions.lua')
dofile(modpath..'/furnace.lua')
dofile(modpath..'/gem.lua')
dofile(modpath..'/torches.lua')

ls_crystal.load()
core.register_on_shutdown(ls_crystal.save)

for i = 1,14 do
   core.register_node('ls_crystal:light_source_'..i, { --Used automatically by some light nodes to 'fill' an area with light
      description = 'Light Source',
      drawtype = 'airlike',
      pointable = false,
      buildable_to = true,
      light_source = i,
      walkable = false,
      groups = {invisible_light=1, non_blocking=1},
   })
end
